# $Revision: 1.34 $, $Date: 2009/10/04 22:06:22 $
Summary:	libXext - library for common extensions to the X11 protocol
Summary(pl.UTF-8):	Biblioteka libXext powszechnych rozszerzeń protokołu X11
Name:		xorg-lib-libXext
Version:	1.1
Release:	1
Epoch:		1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXext-%{version}.tar.bz2
# Source0-md5:	b8ee455effbcaf5a475870e92ed6973c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libX11-devel >= 1.1.99.1
BuildRequires:	xorg-proto-xextproto-devel >= 1:7.1.0
BuildRequires:	xorg-proto-xproto-devel >= 7.0.13
BuildRequires:	xorg-util-util-macros >= 1.3
Obsoletes:	libXext
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXext - library for common extensions to the X11 protocol.

%description -l pl.UTF-8
Biblioteka libXext powszechnych rozszerzeń protokołu X11.

%package devel
Summary:	Header files for libXext library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXext
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	xorg-lib-libXau-devel
Requires:	xorg-lib-libX11-devel >= 1.1.99.1
Requires:	xorg-proto-xextproto-devel >= 1:7.1.0
Requires:	xorg-proto-xproto-devel >= 7.0.13
Obsoletes:	libXext-devel

%description devel
libXext - library for common extensions to the X11 protocol.

This package contains the header files needed to develop programs that
use libXext.

%description devel -l pl.UTF-8
Biblioteka libXext powszechnych rozszerzeń protokołu X11.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXext.

%package static
Summary:	Static libXext library
Summary(pl.UTF-8):	Biblioteka statyczna libXext
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libXext-static

%description static
libXext - library for common extensions to the X11 protocol.

This package contains the static libXext library.

%description static -l pl.UTF-8
Biblioteka libXext powszechnych rozszerzeń protokołu X11.

Pakiet zawiera statyczną bibliotekę libXext.

%prep
%setup -q -n libXext-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXext.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXext.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXext.so
%{_includedir}/X11/extensions/*.h
%{_libdir}/libXext.la
%{_pkgconfigdir}/xext.pc
%{_mandir}/man3/DBE.3x*
%{_mandir}/man3/DPMS*.3x*
%{_mandir}/man3/XShape*.3x*
%{_mandir}/man3/XShm*.3x*
%{_mandir}/man3/Xcup*.3x*
%{_mandir}/man3/Xdbe*.3x*
%{_mandir}/man3/Xevi*.3x*
%{_mandir}/man3/Xmbuf*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXext.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXext.spec,v $
Revision 1.34  2009/10/04 22:06:22  qboosh
- updated util-macros version
- added README to doc, better descs

Revision 1.33  2009/10/02 06:36:05  arekm
- up to 1.1

Revision 1.32  2009/09/04 08:14:16  arekm
- up to 1.0.99.4

Revision 1.31  2009/08/13 21:54:24  arekm
- epoch fixes; rel 3

Revision 1.30  2009/08/13 21:42:39  arekm
- revert to 1.0.5

Revision 1.29  2009/08/04 20:07:05  tommat
- updated deps

Revision 1.28  2009/08/04 19:59:08  tommat
- 1.0.99.4

Revision 1.27  2009/02/03 07:35:10  qboosh
- updated xorg deps

Revision 1.26  2009/01/30 08:38:09  arekm
- up to 1.0.5

Revision 1.25  2008/11/05 23:28:34  arekm
- release 2

Revision 1.24  2008/03/01 11:56:16  qboosh
- ghost soname symlink
- more verbose man list

Revision 1.23  2008-02-29 07:16:09  arekm
- up to 1.0.4

Revision 1.22  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.20  2007/01/26 07:20:04  arekm
- up to 1.0.3

Revision 1.19  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.18  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.17  2006/10/14 10:57:02  qboosh
- updated to 1.0.2

Revision 1.16  2006/04/27 06:54:09  arekm
- up to 1.0.1

Revision 1.15  2006/03/08 22:05:54  qboosh
- release 1

Revision 1.14  2005/12/28 11:02:27  qboosh
- sources from X11R7.0 release

Revision 1.13  2005/12/20 12:31:14  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.12  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.11  2005/12/04 11:03:58  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.10  2005/11/19 18:56:08  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.9  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.8  2005/10/20 22:06:29  qboosh
- BR: util-macros >= 0.99.1 (XORG_PROG_RAWCPP)

Revision 1.7  2005/10/20 19:24:14  qboosh
- more verbose files - man(3x) here

Revision 1.6  2005/10/20 14:37:42  qboosh
- 0.99.1 (X11R7.0-RC1)
- more docs, BR: cpp

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.13  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.12  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.11  2005/02/15 01:47:15  zergin
- added ac patch
- rel++ (1 to 2)

Revision 1.10  2004/05/22 19:22:27  qboosh
- unifications, updated autoconf version

Revision 1.9  2004/05/12 19:07:52  grzegol
- updated to 6.4.3

Revision 1.8  2004/03/12 11:03:14  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.7  2004/03/12 07:48:10  ankry
- pl

Revision 1.6  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.5  2004/03/09 19:41:43  pluto
- R:, release 4.

Revision 1.4  2004/03/06 12:08:24  pluto
- BR:, release 3.

Revision 1.3  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.2  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.1  2004/03/03 12:33:44  adgor
- Initial
